clc
clear
close all
load aar.mat;
load label.mat;
load feature_ind.mat;
m=size(aar,1);
times=20;
sensitivity=zeros(1,times);
specificity=zeros(1,times);
accuracy=zeros(1,times);
mcc=zeros(1,times);
auc=zeros(1,times);
for i=1:times
    RandSeed = round(sum(100*clock));
    rand('state', RandSeed);
    rand_ind = randperm(m);
    cmd = ['-v ',num2str(3)];
%     cmd = ['-v ',num2str(size(aar,1))];
    [auc(i),prelabel] = plotrocs(label, aar(:,feature_ind) ,cmd,rand_ind);
    
%     plabel=[];
%     for j=1:length(deci)
%         if deci(i)>=0.35
%            plabel=[plabel;1];
%         else
%            plabel=[plabel;-1];
%         end
%     end
    [sensitivity(i),specificity(i),accuracy(i),mcc(i)]=measure(prelabel,label);
end
save('outresult.mat','sensitivity','specificity','accuracy','auc','mcc');